Query Refund Reversal
curl --request POST \
--url https://dev.waftpay.io/tsq/v1/query/refund-reversal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_uuid": "A333RTYUT"
}
'import requests
url = "https://dev.waftpay.io/tsq/v1/query/refund-reversal"
payload = { "request_uuid": "A333RTYUT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({request_uuid: 'A333RTYUT'})
};
fetch('https://dev.waftpay.io/tsq/v1/query/refund-reversal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 102,
"status": "SUCCESS",
"description": "Transaction success",
"data": {}
}Collections
Refund/Reversal Status
Query the latest status of a refund or reversal request.
POST
/
tsq
/
v1
/
query
/
refund-reversal
Query Refund Reversal
Overview
Use this endpoint to check the status of a refund or reversal request that was previously initiated in the platform.
Auth: Requires a Collection token (Authorization: Bearer <collection_token>).
Need to initiate a refund or reversal? See Initiate Refund/Reversal.
Endpoint
POST https://api.waftpay.io/tsq/v1/query/refund-reversal
POST https://dev.waftpay.io/tsq/v1/query/refund-reversal
Request body
Provide therequest_uuid you received when the refund/reversal was created.
{
"request_uuid": "A333RTYUT"
}
Example response
{
"code": 102,
"status": "SUCCESS",
"description": "Transaction success",
"results": {
"result_code": "21",
"result_description": "The service request is processed successfully",
"amount": "1015.00",
"total_charges": "0.00",
"total_amount": "1015.00",
"account": "254792452002",
"original_payment_uuid": "882231418121042119",
"original_transaction_reference": "TNC0009886898418",
"original_external_reference": "1V1OPZZGHQ",
"external_reference": "1V33UUE1IR",
"time_processed": "2025-08-26T05:20:27Z"
}
}
Notes
- If the refund/reversal is not found, the response body will include a
NOT FOUNDstatus. - Errors follow the standard error shape. See Errors.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Refund/reversal request UUID returned when the refund/reversal was created.
Example:
"A333RTYUT"
Response
Refund reversal status payload
Application code for the query result (e.g., 102=SUCCESS, 103=FAILED, 401/404 represented in body where applicable).
Outcome label (e.g., SUCCESS, FAILED, FAILED AUTHORIZATION, NOT FOUND).
Human-readable description of the outcome.
Provider/platform response fields for a refund reversal query. Fields are optional and may vary by provider.
- Option 1
- Option 2
Show child attributes
Show child attributes
